## csv2latex 0.14

=== Makefile ===
PROGNAME=csv2latex
PREFIX=/usr
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man/man1
CFLAGS=-Wall -Wextra -pedantic -Os
GZIP=gzip --force
all:
	${CC} $(CFLAGS) $(PROGNAME).c -o $(PROGNAME)
	docbook-to-man $(PROGNAME).sgml > $(PROGNAME).1
	$(GZIP) $(PROGNAME).1
install:
	strip $(PROGNAME)
	install $(PROGNAME) ${DESTDIR}$(BINDIR)/$(PROGNAME)
	install $(PROGNAME).1.gz ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
uninstall:
	$(RM) ${DESTDIR}$(BINDIR)/$(PROGNAME)
	$(RM) ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
clean:
	$(RM) $(PROGNAME)
	$(RM) $(PROGNAME).1.gz

## csv2latex 0.18

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,10 @@
 BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man/man1
 CFLAGS=-Wall -Wextra -pedantic -Os
-GZIP=gzip --force
+GZIP=gzip --to-stdout
 all:
 	${CC} $(CFLAGS) $(PROGNAME).c -o $(PROGNAME)
-	docbook-to-man $(PROGNAME).sgml > $(PROGNAME).1
-	$(GZIP) $(PROGNAME).1
+	$(GZIP) $(PROGNAME).1 > $(PROGNAME).1.gz
 install:
 	strip $(PROGNAME)
 	install $(PROGNAME) ${DESTDIR}$(BINDIR)/$(PROGNAME)
@@ -18,3 +17,4 @@
 clean:
 	$(RM) $(PROGNAME)
 	$(RM) $(PROGNAME).1.gz
+# vim:set ts=8 sw=8 noexpandtab et:

=== debian/changelog ===
csv2latex (0.18-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fixed date warning in previous changelog entry

 -- Benoît Rouits <brouits@free.fr>  Tue, 27 Apr 2010 16:28:33 +0200

csv2latex (0.18-1) unstable; urgency=low

  * new upstream version

 -- Benoît Rouits <<brouits@free.fr>>  Tue, 27 Apr 2010 16:22:55 +0200

csv2latex (0.17-1) unstable; urgency=low

  * new upstream version

 -- Benoît Rouits <brouits@free.fr>  Sat, 06 Feb 2010 20:57:36 +0100

csv2latex (0.16-2) unstable; urgency=low

  * fixed maintainer lines in copyright/contol

 -- Benoît Rouits (package signature) <brouits@free.fr>  Mon, 26 Oct 2009 23:51:32 +0200

csv2latex (0.16-1) unstable; urgency=low

  * new upstream version

 -- Benoît Rouits (package signature) <brouits@free.fr>  Fri, 18 Sep 2009 23:40:43 +0200

csv2latex (0.15-1) unstable; urgency=low

  * option longtable added, sync'ed from upstream
  * fixes in debian/copyright and changelog

 -- Benoît Rouits (package signature) <brouits@free.fr>  Wed, 15 Jul 2009 16:26:00 +0200

csv2latex (0.14-2) unstable; urgency=low

  * debian/control: Add Vcs-Git and Vcs-Browser fields
  * debian/copyright: Change to the new machine-readable format, as in
    DEP5 (http://dep.debian.net/deps/dep5/)
  * debian/README.Debian: Remove file

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Apr 2009 10:16:41 +0200

csv2latex (0.14-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 16 Apr 2009 22:55:34 +0200

csv2latex (0.13-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Add URL for upstream tarballs

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Mar 2009 02:24:54 +0100

csv2latex (0.12-4) unstable; urgency=low

  * First official release in Debian (closes: #518850)
  * debian/rules: Switch to CDBS
  * debian/control:
    + Add myself to the Uploaders list
    + Set Architecture to any
    + Bump Standards-Version to 3.8.0 (no changes needed)
    + Add Homepage field and remove the URL from the long description
    + Build-depend on cdbs
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Build-depend on debhelper >= 7
  * debian/compat: Bump the debhelper compatibility level to 7
  * debian/watch: Add an empty watch file as a hint to the Debian External
    Health Status (Lintian warning debian-watch-file-is-missing)
  * debian/copyright: Add Copyright notice to the license terms

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 10 Mar 2009 16:20:05 +0100

csv2latex (0.12-3) UNRELEASED; urgency=low

  * now, --lines 0 means no limit per output table (actually 2 Giga lines)

 -- Benoît Rouits <brouits@free.fr>  Thu, 29 Jan 2009 16:04:00 +0100

csv2latex (0.12-2) UNRELEASED; urgency=low

  * manpage added (!) sgml version in debian/manpage.sgml

 -- Benoît Rouits <brouits@free.fr>  Sat, 24 Jan 2009 01:32:00 +0100

csv2latex (0.12-1) UNRELEASED; urgency=low

  * minor bugfix (getMaximums) in case of unexpected EOF
  * --version looks nicer

 -- Benoît Rouits <brouits@free.fr>  Sat, 24 Jan 2009 01:32:00 +0100

csv2latex (0.12) UNRELEASED; urgency=low

  * added --reduce option, based on the idea from Boaz (but need {relsize})

 -- Benoît Rouits <brouits@free.fr>  Fri, 23 Jan 2009 19:50:00 +0100

csv2latex (0.11) UNRELEASED; urgency=low

  * bugfix a bad behaviour when getting a separator inside a block
  * rewritten some parsing code

 -- Benoît Rouits <brouits@free.fr>  Thu, 22 Jan 2009 23:50:00 +0100

csv2latex (0.10-1) UNRELEASED; urgency=low

  * Added co(l)on as --delimiter. Modified Usage message. Better --guess

 -- Benoît Rouits <brouits@free.fr>  Tue, 11 Nov 2008 23:50:00 +0100

csv2latex (0.9-3) UNRELEASED; urgency=low

  * Added s(p)ace as --delimiter. Added --colorrows option

 -- Jason J. Corso <jcorso@cse.Buffalo.EDU>  Thu, 29 Nov 2007 18:20:00 +0100

csv2latex (0.9-2) UNRELEASED; urgency=low

  * Added bad filename detection (bug report by James_R_Phillips@bigfoot.com)

 -- Benoît Rouits <brouits@free.fr>  Tue, 17 Apr 2007 14:26:30 +0100

csv2latex (0.9-1) UNRELEASED; urgency=low

  * Added "--separator t" option by Owen Solberg <solberg@berkeley.edu>

 -- Benoît Rouits <brouits@free.fr>  Sat, 04 Mar 2006 20:21:53 +0100

csv2latex (0.8-1) UNRELEASED; urgency=low

  * Initial release

 -- Benoît Rouits <brouits@free.fr>  Tue, 22 Nov 2005 15:41:17 +0100

=== debian/control ===
Source: csv2latex
Section: tex
Priority: optional
Maintainer: Benoît Rouits <brouits@free.fr>
Build-Depends: debhelper (>= 7), cdbs
Standards-Version: 3.8.3
Homepage: http://herewe.servebeer.com/csv2latex/
Vcs-Svn: http://herewe.servebeer.com/svn/csv2latex
Vcs-Browser: http://herewe.servebeer.com/svn/csv2latex

Package: csv2latex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a CSV to LaTeX file converter
 csv2latex is a simple command-line file converter
 that converts a comma-separated-values file into
 a LaTeX table. It can guess exotic csv formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/csv2latex/

=== debian/watch ===
version=3
http://herewe.servebeer.com/csv2latex/csv2latex-(.*)\.tar\.gz

## csv2latex 0.19

=== debian/changelog ===
csv2latex (0.19-1) unstable; urgency=medium

  * New upstream release, support read from stdin.
  * Bump to Standards-Version 3.9.8
  * Minor fix on URIs
  * Use debhelper 10

 -- Benoît Rouits <brouits@free.fr>  Mon, 24 Oct 2016 02:01:42 +0200

csv2latex (0.18.1-1) unstable; urgency=low

  * new upstream (cosmetic) version
  * changed upstream URIs
  * fix lintian warnings, adapt to std 3.9.5

 -- Benoît Rouits <brouits@free.fr>  Tue, 29 Apr 2014 23:06:10 +0200

## csv2latex 0.20

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS=-Wall -Wextra -pedantic -Os
 GZIP=gzip --to-stdout
 all:
-	${CC} $(CFLAGS) $(PROGNAME).c -o $(PROGNAME)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(PROGNAME).c $(LDFLAGS) -o $(PROGNAME)
 	$(GZIP) $(PROGNAME).1 > $(PROGNAME).1.gz
 install:
 	strip $(PROGNAME)

=== debian/changelog ===
csv2latex (0.20-2) unstable; urgency=low

  * update Vcs-Svn and Vcs-Browser URLs in control file.

 -- Benoît Rouits <brouits@free.fr>  Thu, 15 Jun 2017 21:54:41 +0200

csv2latex (0.20-1) unstable; urgency=medium

  * New upstream release: fix separator guess on non-ascii chars, Makefile fix.

 -- Benoît Rouits <brouits@free.fr>  Sun, 30 Oct 2016 20:30:30 +0100

=== debian/control ===
Source: csv2latex
Section: tex
Priority: optional
Maintainer: Benoît Rouits <brouits@free.fr>
Build-Depends: debhelper (>=10), cdbs
Standards-Version: 3.9.8
Homepage: http://brouits.free.fr/csv2latex/
Vcs-Browser: https://svn.gtmp.org/csv2latex/
Vcs-Svn: svn://svn.gtmp.org/csv2latex/

Package: csv2latex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line CSV to LaTeX file converter
 csv2latex is a simple command-line file converter
 that converts a comma-separated-values file into
 a LaTeX table. It can guess exotic csv formats.

=== debian/watch ===
version=3
http://brouits.free.fr/csv2latex/csv2latex-(.*)\.tar\.gz

## csv2latex 0.21

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 install:
 	strip $(PROGNAME)
 	install $(PROGNAME) ${DESTDIR}$(BINDIR)/$(PROGNAME)
-	install $(PROGNAME).1.gz ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
+	install -D $(PROGNAME).1.gz ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
 uninstall:
 	$(RM) ${DESTDIR}$(BINDIR)/$(PROGNAME)
 	$(RM) ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz

=== debian/changelog ===
csv2latex (0.21-1) unstable; urgency=medium

  * new upstream version 0.21 (options --font and --landscape)

 -- Benoît Rouits <brouits@free.fr>  Mon, 02 Jul 2018 23:52:26 +0200

## csv2latex 0.22

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(PROGNAME).c $(LDFLAGS) -o $(PROGNAME)
 	$(GZIP) $(PROGNAME).1 > $(PROGNAME).1.gz
 install:
-	strip $(PROGNAME)
 	install $(PROGNAME) ${DESTDIR}$(BINDIR)/$(PROGNAME)
 	install -D $(PROGNAME).1.gz ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
 uninstall:

=== debian/changelog ===
csv2latex (0.22-1) unstable; urgency=medium

  * new upstream release 0.22 (fix cross-compilation)
  * bump Standards-Version to 4.4.0

 -- Benoît Rouits <brouits@free.fr>  Sat, 04 Jan 2020 05:28:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Benoît Rouits <brouits@free.fr>
 Build-Depends: debhelper (>=10), cdbs
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: http://brouits.free.fr/csv2latex/
 Vcs-Browser: https://svn.gtmp.org/csv2latex/
 Vcs-Svn: svn://svn.gtmp.org/csv2latex/

## csv2latex 0.23.1

=== Makefile ===
PROGNAME=csv2latex
PREFIX=/usr/local
CFLAGS?=-Wall -Wextra -pedantic
INSTALL=install
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man/man1
GZIP=gzip --to-stdout
TEST=$(shell wc -l < ./test.csv)
all:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PROGNAME).c $(LDFLAGS) -o $(PROGNAME)
	$(GZIP) $(PROGNAME).1 > $(PROGNAME).1.gz
install:
	$(INSTALL) $(PROGNAME) ${DESTDIR}$(BINDIR)/$(PROGNAME)
	$(INSTALL) -D $(PROGNAME).1.gz ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
uninstall:
	$(RM) ${DESTDIR}$(BINDIR)/$(PROGNAME)
	$(RM) ${DESTDIR}$(MANDIR)/$(PROGNAME).1.gz
clean:
	$(RM) $(PROGNAME)
	$(RM) $(PROGNAME).1.gz
test: $(PROGNAME)
	@test `./csv2latex test.csv | grep -Fi fourth | wc -l` = $(TEST) && echo Test 1 OK. || echo Test 1 KO!
	@test `./csv2latex < test.csv | grep -Fi fourth | wc -l` = $(TEST) && echo Test 2 OK. || echo Test 2 KO!
	@test `cat ./test.csv | ./csv2latex | grep -Fi fourth | wc -l` = $(TEST) && echo Test 3 OK. || echo Test 3 KO!
# vim:set ts=8 sw=8 noexpandtab et:

=== debian/changelog ===
csv2latex (0.23.1-1) unstable; urgency=medium

  * New upstream release 0.23.1 (Makefile changes)
  * Fix debian/rules

 -- Benoît Rouits <brouits@free.fr>  Fri, 07 Oct 2022 18:52:22 +0200

csv2latex (0.23-1) unstable; urgency=medium

  * New upstream release 0.23 (improve stdin reading)
  * Update debian/watch (version=4)
  * Avoid usage of cdbs
  * Remove debian/compat
  * Update debian/control
  * Add debian/upstream/metadata
  * Set Standards-version to 4.6.1

 -- Benoît Rouits <brouits@free.fr>  Thu, 06 Oct 2022 16:17:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: tex
 Priority: optional
 Maintainer: Benoît Rouits <brouits@free.fr>
-Build-Depends: debhelper (>=10), cdbs
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Homepage: http://brouits.free.fr/csv2latex/
-Vcs-Browser: https://svn.gtmp.org/csv2latex/
-Vcs-Svn: svn://svn.gtmp.org/csv2latex/
+Vcs-Browser: https://git.noise.rocks/ben/csv2latex
+Vcs-Git: https://git.noise.rocks/ben/csv2latex.git
+Rules-Requires-Root: no
 
 Package: csv2latex
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ http://brouits.free.fr/csv2latex/csv2latex-(.+)\.tar\.gz
